diff -Nurd -x'*~' evolution-data-server-2.28.3.1.orig/Makefile.am evolution-data-server-2.28.3.1/Makefile.am
--- evolution-data-server-2.28.3.1.orig/Makefile.am	2009-08-11 07:40:39.000000000 -0400
+++ evolution-data-server-2.28.3.1/Makefile.am	2010-04-19 03:52:15.000000000 -0400
@@ -2,9 +2,6 @@
 
 DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc
 
-if ! WITH_LIBDB
-LIBDB = libdb
-endif
 
 if ENABLE_CALENDAR
 CALENDAR_DIR = calendar
diff -Nurd -x'*~' evolution-data-server-2.28.3.1.orig/configure.ac evolution-data-server-2.28.3.1/configure.ac
--- evolution-data-server-2.28.3.1.orig/configure.ac	2010-03-02 01:29:38.000000000 -0500
+++ evolution-data-server-2.28.3.1/configure.ac	2010-04-19 03:58:50.000000000 -0400
@@ -222,7 +222,6 @@
 AC_LIBTOOL_WIN32_DLL
 AM_PROG_LIBTOOL
 
-DOLT
 
 PKG_PROG_PKG_CONFIG
 
@@ -304,16 +303,6 @@
 	CFLAGS=$save_cflags
 	LIBS=$save_libs
 	msg_libdb="dynamically linked"
-else
-	DB_CFLAGS="-I\$(top_builddir)/libdb/dist"
-	DB_LIBS="\$(top_builddir)/libdb/dist/libdb-4.1.la"
-	if test $os_win32 = yes; then
-		dnl Don't pointlessly auto-export the global symbols
-		dnl from the static libdb
-		DB_LIBS="$DB_LIBS -Wl,--exclude-libs=libdb-4.1.a"
-	fi
-	AC_MSG_NOTICE([Using local libdb])
-	msg_libdb="statically linked to local copy"
 fi
 AM_CONDITIONAL(WITH_LIBDB, [test "x$dynamic_libdb" != "xno"])
 AC_SUBST(DB_CFLAGS)
@@ -357,7 +346,7 @@
 		#include <iconv.h>
 		#include <stdlib.h>
 		#include <string.h>
-		#ifdef HAVE_GNU_GET_LIBC_VERSION
+		#if 0
 		#include <gnu/libc-version.h>
 		#endif
 		int main() {
@@ -368,7 +357,7 @@
 			size_t jp_len = strlen (jp), utf8_len = 10;
 			size_t utf8_real_len = strlen (utf8);
 
-			#ifdef HAVE_GNU_GET_LIBC_VERSION
+			#if 0
 			/* glibc 2.1.2's iconv is broken in hard to test ways. */
 			if (!strcmp (gnu_get_libc_version (), "2.1.2"))
 				exit (1);
@@ -1173,7 +1162,8 @@
 				msg_krb5="yes (Sun)"
 			fi
 		fi
-		KRB5_LIBS="-L$with_krb5_libs $ac_cv_lib_kerberos5"
+		KRB5_CFLAGS=""
+		KRB5_LIBS="$ac_cv_lib_kerberos5"
 		AC_MSG_RESULT([msg_krb5])
 	else
 		dnl AC_MSG_CHECKING([for Kerberos 5])
@@ -1238,15 +1228,15 @@
 
 		if test -z "$with_krb4_includes"; then
 			if test -f "$with_krb4/include/krb.h" -o -f "$with_krb4/include/port-sockets.h"; then
-				KRB4_CFLAGS="-I$with_krb4/include"
+				KRB4_CFLAGS=""
 			fi
 			if test -d "$with_krb4/include/kerberosIV"; then
 				KRB4_CFLAGS="$KRB4_CFLAGS -I$with_krb4/include/kerberosIV"
 			fi
 		else
-			KRB4_CFLAGS="-I$with_krb4_includes"
+			KRB4_CFLAGS=""
 		fi
-		KRB4_LIBS="-L$with_krb4_libs $ac_cv_lib_kerberos4"
+		KRB4_LIBS="$ac_cv_lib_kerberos4"
 
 		CFLAGS_save="$CFLAGS"
 		CFLAGS="$CFLAGS $KRB4_CFLAGS"
@@ -1611,9 +1601,6 @@
 export privincludedir
 export privdatadir
 
-if test $dynamic_libdb = no; then
-	AC_CONFIG_SUBDIRS(libdb/dist)
-fi
 
 AC_CONFIG_FILES([
 Makefile
@@ -1674,7 +1661,6 @@
 camel/tests/stream/Makefile
 camel/camel.pc
 camel/camel-provider.pc
-libdb/Makefile
 libebackend/Makefile
 libebackend/libebackend.pc
 libedataserver/Makefile
diff -Nurd -x'*~' evolution-data-server-2.28.3.1.orig/docs/reference/camel/Makefile.am evolution-data-server-2.28.3.1/docs/reference/camel/Makefile.am
--- evolution-data-server-2.28.3.1.orig/docs/reference/camel/Makefile.am	2009-08-07 11:10:03.000000000 -0400
+++ evolution-data-server-2.28.3.1/docs/reference/camel/Makefile.am	2010-04-19 03:59:16.000000000 -0400
@@ -53,6 +53,7 @@
 	broken-date-parser.h		\
 	camel-charset-map-private.h	\
 	camel-groupwise-private.h	\
+	camel-i18n.h			\
 	camel-imap-private.h		\
 	camel-imap-types.h		\
 	camel-local-private.h		\
diff -Nurd -x'*~' evolution-data-server-2.28.3.1.orig/libedataserver/Makefile.am evolution-data-server-2.28.3.1/libedataserver/Makefile.am
--- evolution-data-server-2.28.3.1.orig/libedataserver/Makefile.am	2009-08-07 09:20:30.000000000 -0400
+++ evolution-data-server-2.28.3.1/libedataserver/Makefile.am	2010-04-19 04:03:00.000000000 -0400
@@ -44,7 +44,7 @@
 	$(E_DATA_SERVER_LIBS)				\
 	$(ICONV_LIBS)					\
 	$(SOCKET_LIBS)					\
-	$(SOUP_LIBS)
+	$(SOUP_LIBS) $(INTLLIBS)
 
 libedataserver_1_2_la_LDFLAGS = \
 	-version-info $(LIBEDATASERVER_CURRENT):$(LIBEDATASERVER_REVISION):$(LIBEDATASERVER_AGE) $(NO_UNDEFINED)