diff -Nurd kdeaddons-3.5.10/atlantikdesigner/designer/Makefile.am kdeaddons-3.5.10-new/atlantikdesigner/designer/Makefile.am
--- kdeaddons-3.5.10/atlantikdesigner/designer/Makefile.am	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/atlantikdesigner/designer/Makefile.am	2010-07-27 11:14:39.000000000 -0400
@@ -1,10 +1,14 @@
-bin_PROGRAMS = atlantikdesigner
+
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = atlantikdesigner.la
+
 INCLUDES = -I$(kde_includes)/atlantic $(all_includes)
-AM_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-LDADD = -latlantikui -lkdegames $(LIB_KIO) 
 
 SUBDIRS = 
 
-atlantikdesigner_SOURCES = boardinfo.cpp designer.cpp editor.cpp main.cpp group.cpp
+atlantikdesigner_la_SOURCES = boardinfo.cpp designer.cpp editor.cpp main.cpp group.cpp
+atlantikdesigner_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+atlantikdesigner_la_LIBADD = -latlantikui -lkdegames $(LIB_KIO) -latlantic
 
 METASOURCES = AUTO 
diff -Nurd kdeaddons-3.5.10/atlantikdesigner/designer/main.cpp kdeaddons-3.5.10-new/atlantikdesigner/designer/main.cpp
--- kdeaddons-3.5.10/atlantikdesigner/designer/main.cpp	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/atlantikdesigner/designer/main.cpp	2010-07-27 10:22:01.000000000 -0400
@@ -5,7 +5,7 @@
 
 #include "designer.h"
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 	KAboutData aboutData(
 	           "atlantikdesigner",
diff -Nurd kdeaddons-3.5.10/kaddressbook-plugins/xxports/gmx/Makefile.am kdeaddons-3.5.10-new/kaddressbook-plugins/xxports/gmx/Makefile.am
--- kdeaddons-3.5.10/kaddressbook-plugins/xxports/gmx/Makefile.am	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/kaddressbook-plugins/xxports/gmx/Makefile.am	2010-07-27 11:41:07.000000000 -0400
@@ -7,7 +7,7 @@
 
 libkaddrbk_gmx_xxport_la_SOURCES = gmx_xxport.cpp
 libkaddrbk_gmx_xxport_la_LDFLAGS = -module $(KDE_PLUGIN) $(KDE_RPATH) $(all_libraries) -no-undefined
-libkaddrbk_gmx_xxport_la_LIBADD = $(LIB_KDEUI) -lkabc -lkabinterfaces
+libkaddrbk_gmx_xxport_la_LIBADD = $(LIB_KDEUI) -lkabc -lkabinterfaces $(LIB_KIO)
 libkaddrbk_gmx_xxport_la_METASOURCES = AUTO
 
 rc_DATA = gmx_xxportui.rc
diff -Nurd kdeaddons-3.5.10/kate/filelistloader/Makefile.am kdeaddons-3.5.10-new/kate/filelistloader/Makefile.am
--- kdeaddons-3.5.10/kate/filelistloader/Makefile.am	2005-09-10 04:14:14.000000000 -0400
+++ kdeaddons-3.5.10-new/kate/filelistloader/Makefile.am	2010-07-27 11:38:22.000000000 -0400
@@ -14,7 +14,7 @@
 #katefll_initplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 katefll_plugin_la_SOURCES = katefll_plugin.cpp
-katefll_plugin_la_LIBADD = -lkateinterfaces
+katefll_plugin_la_LIBADD = -lkateinterfaces $(LIB_KIO)
 katefll_plugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 # Install the .rc file in the Part's directory (in this case, the part
diff -Nurd kdeaddons-3.5.10/kate/filetemplates/plugin/Makefile.am kdeaddons-3.5.10-new/kate/filetemplates/plugin/Makefile.am
--- kdeaddons-3.5.10/kate/filetemplates/plugin/Makefile.am	2005-09-10 04:14:14.000000000 -0400
+++ kdeaddons-3.5.10-new/kate/filetemplates/plugin/Makefile.am	2010-07-27 11:39:19.000000000 -0400
@@ -9,7 +9,7 @@
 kde_module_LTLIBRARIES = katefiletemplates.la
 
 katefiletemplates_la_SOURCES = filetemplates.cpp
-katefiletemplates_la_LIBADD = -lkateinterfaces -lktexteditor $(LIB_KNEWSTUFF)
+katefiletemplates_la_LIBADD = -lkateinterfaces -lktexteditor $(LIB_KNEWSTUFF) $(LIB_KIO)
 katefiletemplates_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir = $(kde_datadir)/kate/plugins/katefiletemplates
diff -Nurd kdeaddons-3.5.10/kate/insertcommand/Makefile.am kdeaddons-3.5.10-new/kate/insertcommand/Makefile.am
--- kdeaddons-3.5.10/kate/insertcommand/Makefile.am	2006-03-17 05:07:55.000000000 -0500
+++ kdeaddons-3.5.10-new/kate/insertcommand/Makefile.am	2010-07-27 11:40:41.000000000 -0400
@@ -7,7 +7,7 @@
 # This is all standard.  Remove the LIB_KHTML reference if you are not
 # using the KHTML Part
 kateinsertcommandplugin_la_SOURCES = plugin_kateinsertcommand.cpp
-kateinsertcommandplugin_la_LIBADD = -lkateinterfaces
+kateinsertcommandplugin_la_LIBADD = -lkateinterfaces $(LIB_KIO)
 kateinsertcommandplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 # Install the .rc file in the Part's directory (in this case, the part
diff -Nurd kdeaddons-3.5.10/kate/openheader/Makefile.am kdeaddons-3.5.10-new/kate/openheader/Makefile.am
--- kdeaddons-3.5.10/kate/openheader/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/kate/openheader/Makefile.am	2010-07-27 11:36:31.000000000 -0400
@@ -7,7 +7,7 @@
 # This is all standard.  Remove the LIB_KHTML reference if you are not
 # using the KHTML Part
 kateopenheaderplugin_la_SOURCES = plugin_kateopenheader.cpp
-kateopenheaderplugin_la_LIBADD = -lkateinterfaces
+kateopenheaderplugin_la_LIBADD = -lkateinterfaces $(LIB_KIO) -lkatepartinterfaces -lktexteditor
 kateopenheaderplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 # Install the .rc file in the Part's directory (in this case, the part
diff -Nurd kdeaddons-3.5.10/kate/tabbarextension/Makefile.am kdeaddons-3.5.10-new/kate/tabbarextension/Makefile.am
--- kdeaddons-3.5.10/kate/tabbarextension/Makefile.am	2007-10-08 05:47:25.000000000 -0400
+++ kdeaddons-3.5.10-new/kate/tabbarextension/Makefile.am	2010-07-27 11:38:50.000000000 -0400
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = libkatetabbarextensionplugin.la
 
 libkatetabbarextensionplugin_la_SOURCES = plugin_katetabbarextension.cpp
-libkatetabbarextensionplugin_la_LIBADD = -lkateinterfaces
+libkatetabbarextensionplugin_la_LIBADD = -lkateinterfaces -lktexteditor
 libkatetabbarextensionplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir = $(kde_datadir)/kate/plugins/katetabbarextension
diff -Nurd kdeaddons-3.5.10/kate/textfilter/Makefile.am kdeaddons-3.5.10-new/kate/textfilter/Makefile.am
--- kdeaddons-3.5.10/kate/textfilter/Makefile.am	2005-09-10 04:14:14.000000000 -0400
+++ kdeaddons-3.5.10-new/kate/textfilter/Makefile.am	2010-07-27 12:01:11.000000000 -0400
@@ -7,7 +7,7 @@
 # This is all standard.  Remove the LIB_KHTML reference if you are not
 # using the KHTML Part
 katetextfilterplugin_la_SOURCES = plugin_katetextfilter.cpp
-katetextfilterplugin_la_LIBADD = -lkateinterfaces
+katetextfilterplugin_la_LIBADD = -lkateinterfaces -lkatepartinterfaces -lktexteditor
 katetextfilterplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 # Install the .rc file in the Part's directory (in this case, the part
diff -Nurd kdeaddons-3.5.10/kate/xmltools/Makefile.am kdeaddons-3.5.10-new/kate/xmltools/Makefile.am
--- kdeaddons-3.5.10/kate/xmltools/Makefile.am	2005-09-10 04:14:14.000000000 -0400
+++ kdeaddons-3.5.10-new/kate/xmltools/Makefile.am	2010-07-27 11:37:39.000000000 -0400
@@ -7,7 +7,7 @@
 # This is all standard.  Remove the LIB_KHTML reference if you are not
 # using the KHTML Part
 katexmltoolsplugin_la_SOURCES = pseudo_dtd.cpp plugin_katexmltools.cpp
-katexmltoolsplugin_la_LIBADD = -lkateinterfaces
+katexmltoolsplugin_la_LIBADD = -lkateinterfaces $(LIB_KIO) -lktexteditor
 katexmltoolsplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 # Install the .rc file in the Part's directory (in this case, the part
diff -Nurd kdeaddons-3.5.10/kfile-plugins/lnk/Makefile.am kdeaddons-3.5.10-new/kfile-plugins/lnk/Makefile.am
--- kdeaddons-3.5.10/kfile-plugins/lnk/Makefile.am	2005-09-10 04:14:17.000000000 -0400
+++ kdeaddons-3.5.10-new/kfile-plugins/lnk/Makefile.am	2010-07-27 11:17:31.000000000 -0400
@@ -2,12 +2,14 @@
 
 INCLUDES         = $(all_includes)
 
-bin_PROGRAMS = lnkforward
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = lnkforward.la
 
-lnkforward_SOURCES = lnkforward.cpp
-lnkforward_LDADD = $(LIB_KDECORE) $(LIB_KIO)
-lnkforward_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-lnkforward_METASOURCES = lnkforward.moc
+lnkforward_la_SOURCES = lnkforward.cpp
+lnkforward_la_LIBADD = $(LIB_KDECORE) $(LIB_KIO)
+lnkforward_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+lnkforward_la_METASOURCES = lnkforward.moc
 
 lnkforward_DATA = lnkforward.desktop
 lnkforwarddir = $(kde_appsdir)/.hidden
diff -Nurd kdeaddons-3.5.10/kfile-plugins/lnk/lnkforward.cpp kdeaddons-3.5.10-new/kfile-plugins/lnk/lnkforward.cpp
--- kdeaddons-3.5.10/kfile-plugins/lnk/lnkforward.cpp	2005-10-10 10:53:15.000000000 -0400
+++ kdeaddons-3.5.10-new/kfile-plugins/lnk/lnkforward.cpp	2010-07-27 10:22:01.000000000 -0400
@@ -50,7 +50,7 @@
 
 //--------------------------------------------------------------------------------
 
-int main(int argc, char **argv)
+extern "C" KDE_EXPORT int kdemain(int argc, char **argv)
 {
   KCmdLineArgs::init(argc, argv, appName, programName, description, version, false);
 
diff -Nurd kdeaddons-3.5.10/kicker-applets/mediacontrol/Makefile.am kdeaddons-3.5.10-new/kicker-applets/mediacontrol/Makefile.am
--- kdeaddons-3.5.10/kicker-applets/mediacontrol/Makefile.am	2008-08-19 14:10:38.000000000 -0400
+++ kdeaddons-3.5.10-new/kicker-applets/mediacontrol/Makefile.am	2010-07-27 11:34:22.000000000 -0400
@@ -18,7 +18,7 @@
 	simplebutton.cpp
 
 mediacontrol_panelapplet_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) $(XMMS_LIBS)
-mediacontrol_panelapplet_la_LIBADD = $(LIB_KDEUI)
+mediacontrol_panelapplet_la_LIBADD = $(LIB_KDEUI) -lDCOP
 
 lnkdir   =  $(kde_datadir)/kicker/applets
 lnk_DATA = mediacontrol.desktop
diff -Nurd kdeaddons-3.5.10/konq-plugins/akregator/Makefile.am kdeaddons-3.5.10-new/konq-plugins/akregator/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/akregator/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/akregator/Makefile.am	2010-07-27 11:33:54.000000000 -0400
@@ -6,11 +6,11 @@
 kde_module_LTLIBRARIES = libakregatorkonqplugin.la libakregatorkonqfeedicon.la
 
 libakregatorkonqplugin_la_SOURCES = akregatorplugin.cpp pluginbase.cpp
-libakregatorkonqplugin_la_LIBADD = -lkonq $(LIB_KHTML)
+libakregatorkonqplugin_la_LIBADD = -lkonq $(LIB_KHTML) -lDCOP $(LIB_KFILE)
 libakregatorkonqplugin_la_LDFLAGS = -module $(KDE_PLUGIN) -avoid-version -no-undefined $(all_libraries)
 
 libakregatorkonqfeedicon_la_SOURCES = konqfeedicon.cpp feeddetector.cpp pluginbase.cpp
-libakregatorkonqfeedicon_la_LIBADD = -lkonq $(LIB_KHTML)
+libakregatorkonqfeedicon_la_LIBADD = -lkonq $(LIB_KHTML) $(LIB_KPARTS) -lDCOP
 libakregatorkonqfeedicon_la_LDFLAGS = -module $(KDE_PLUGIN) -avoid-version -no-undefined $(all_libraries)
 
 konqplugindir   = $(kde_servicesdir)
diff -Nurd kdeaddons-3.5.10/konq-plugins/arkplugin/Makefile.am kdeaddons-3.5.10-new/konq-plugins/arkplugin/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/arkplugin/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/arkplugin/Makefile.am	2010-07-27 11:32:27.000000000 -0400
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = libarkplugin.la
 
 libarkplugin_la_SOURCES = arkplugin.cpp
-libarkplugin_la_LIBADD = -lkonq
+libarkplugin_la_LIBADD = -lkonq $(LIB_KIO)
 libarkplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir   = $(kde_servicesdir)
diff -Nurd kdeaddons-3.5.10/konq-plugins/autorefresh/Makefile.am kdeaddons-3.5.10-new/konq-plugins/autorefresh/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/autorefresh/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/autorefresh/Makefile.am	2010-07-27 11:31:30.000000000 -0400
@@ -4,7 +4,7 @@
 
 libautorefresh_la_METASOURCES = AUTO
 libautorefresh_la_SOURCES = autorefresh.cpp
-libautorefresh_la_LIBADD =  $(LIB_KHTML)
+libautorefresh_la_LIBADD =  $(LIB_KHTML) $(LIB_KPARTS)
 
 libautorefresh_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
diff -Nurd kdeaddons-3.5.10/konq-plugins/crashes/Makefile.am kdeaddons-3.5.10-new/konq-plugins/crashes/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/crashes/Makefile.am	2007-05-14 03:37:20.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/crashes/Makefile.am	2010-07-27 11:16:33.000000000 -0400
@@ -3,7 +3,7 @@
 
 kde_module_LTLIBRARIES = libcrashesplugin.la
 libcrashesplugin_la_SOURCES = crashesplugin.cpp
-libcrashesplugin_la_LIBADD = $(LIB_KHTML) -lkonq
+libcrashesplugin_la_LIBADD = $(LIB_KHTML) -lkonq $(LIB_KPARTS) $(LIB_KIO)
 libcrashesplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir = $(kde_datadir)/khtml/kpartplugins
diff -Nurd kdeaddons-3.5.10/konq-plugins/dirfilter/Makefile.am kdeaddons-3.5.10-new/konq-plugins/dirfilter/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/dirfilter/Makefile.am	2007-05-14 03:37:20.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/dirfilter/Makefile.am	2010-07-27 11:23:49.000000000 -0400
@@ -4,7 +4,7 @@
 METASOURCES = AUTO
 
 libdirfilterplugin_la_SOURCES = dirfilterplugin.cpp
-libdirfilterplugin_la_LIBADD = -lkonq
+libdirfilterplugin_la_LIBADD = -lkonq $(LIB_QT) $(LIB_KPARTS) $(LIB_KFILE)
 libdirfilterplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 iconviewdir = $(kde_datadir)/konqiconview/kpartplugins
diff -Nurd kdeaddons-3.5.10/konq-plugins/khtmlsettingsplugin/Makefile.am kdeaddons-3.5.10-new/konq-plugins/khtmlsettingsplugin/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/khtmlsettingsplugin/Makefile.am	2007-05-14 03:37:20.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/khtmlsettingsplugin/Makefile.am	2010-07-27 11:16:56.000000000 -0400
@@ -3,7 +3,7 @@
 kde_module_LTLIBRARIES = libkhtmlsettingsplugin.la
 
 libkhtmlsettingsplugin_la_SOURCES = settingsplugin.cpp
-libkhtmlsettingsplugin_la_LIBADD = $(LIB_KHTML)
+libkhtmlsettingsplugin_la_LIBADD = $(LIB_KHTML) $(LIB_KPARTS) $(LIB_KIO) -lDCOP
 libkhtmlsettingsplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 pluginsdir = $(kde_datadir)/khtml/kpartplugins
diff -Nurd kdeaddons-3.5.10/konq-plugins/kimgalleryplugin/Makefile.am kdeaddons-3.5.10-new/konq-plugins/kimgalleryplugin/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/kimgalleryplugin/Makefile.am	2007-05-14 03:37:20.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/kimgalleryplugin/Makefile.am	2010-07-27 11:04:14.000000000 -0400
@@ -4,7 +4,7 @@
 kde_module_LTLIBRARIES   = libkimgallery.la
 libkimgallery_la_SOURCES = imgalleryplugin.cpp imgallerydialog.cpp
 libkimgallery_la_LIBADD  = -lkonq
-libkimgallery_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
+libkimgallery_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) $(LIB_QT) $(LIB_KDEUI) $(LIB_KIO) $(LIB_KPARTS) $(LIB_KDECORE)
 
 iconviewdir   = $(kde_datadir)/konqiconview/kpartplugins
 iconview_DATA = kimgalleryplugin.rc kimgalleryplugin.desktop
diff -Nurd kdeaddons-3.5.10/konq-plugins/kuick/Makefile.am kdeaddons-3.5.10-new/konq-plugins/kuick/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/kuick/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/kuick/Makefile.am	2010-07-27 11:28:55.000000000 -0400
@@ -9,7 +9,7 @@
 # This is all standard.  Remove the LIB_KHTML reference if you are not
 # using the KHTML Part
 libkuickplugin_la_SOURCES = kuick_plugin.cpp kdirmenu.cpp kmetamenu.cpp kimcontactmenu.cpp
-libkuickplugin_la_LIBADD = $(LIB_KABC) -lkimproxy -lkonq
+libkuickplugin_la_LIBADD = $(LIB_KABC) -lkimproxy -lkonq $(LIB_KIO)
 libkuickplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir   = $(kde_servicesdir)
diff -Nurd kdeaddons-3.5.10/konq-plugins/microformat/Makefile.am kdeaddons-3.5.10-new/konq-plugins/microformat/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/microformat/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/microformat/Makefile.am	2010-07-27 11:30:34.000000000 -0400
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = libmfkonqmficon.la
 
 libmfkonqmficon_la_SOURCES = konqmficon.cpp pluginbase.cpp
-libmfkonqmficon_la_LIBADD = -lkonq $(LIB_KHTML)
+libmfkonqmficon_la_LIBADD = -lkonq $(LIB_KHTML) $(LIB_KPARTS) -lDCOP
 libmfkonqmficon_la_LDFLAGS = -module $(KDE_PLUGIN) -avoid-version -no-undefined $(all_libraries)
 
 konqmficondir = $(kde_datadir)/khtml/kpartplugins
diff -Nurd kdeaddons-3.5.10/konq-plugins/minitools/Makefile.am kdeaddons-3.5.10-new/konq-plugins/minitools/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/minitools/Makefile.am	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/minitools/Makefile.am	2010-07-27 11:29:47.000000000 -0400
@@ -4,7 +4,7 @@
 
 kde_module_LTLIBRARIES = libminitoolsplugin.la
 libminitoolsplugin_la_SOURCES = minitoolsplugin.cpp
-libminitoolsplugin_la_LIBADD = $(LIB_KHTML) -lkonq
+libminitoolsplugin_la_LIBADD = $(LIB_KHTML) -lkonq $(LIB_KPARTS) $(LIB_KIO)
 libminitoolsplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir = $(kde_datadir)/khtml/kpartplugins
diff -Nurd kdeaddons-3.5.10/konq-plugins/searchbar/Makefile.am kdeaddons-3.5.10-new/konq-plugins/searchbar/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/searchbar/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/searchbar/Makefile.am	2010-07-27 11:32:08.000000000 -0400
@@ -5,7 +5,7 @@
 kde_module_LTLIBRARIES = libsearchbarplugin.la
 
 libsearchbarplugin_la_SOURCES = searchbar.cpp
-libsearchbarplugin_la_LIBADD = $(LIB_KHTML)
+libsearchbarplugin_la_LIBADD = $(LIB_KHTML) $(LIB_KPARTS) $(LIB_KFILE)
 libsearchbarplugin_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
 
 pluginsdir = $(kde_datadir)/konqueror/kpartplugins
diff -Nurd kdeaddons-3.5.10/konq-plugins/sidebar/delicious/Makefile.am kdeaddons-3.5.10-new/konq-plugins/sidebar/delicious/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/sidebar/delicious/Makefile.am	2005-09-10 04:14:15.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/sidebar/delicious/Makefile.am	2010-07-27 11:26:08.000000000 -0400
@@ -13,7 +13,7 @@
 konqsidebar_delicious_la_SOURCES = plugin.cpp widget.ui mainWidget.cpp plugin.skel tagListItem.cpp \
 	bookmarkListItem.cpp
 konqsidebar_delicious_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-konqsidebar_delicious_la_LIBADD  = $(LIB_KPARTS) $(LIB_KIO) -lkonqsidebarplugin
+konqsidebar_delicious_la_LIBADD  = $(LIB_KPARTS) $(LIB_KIO) -lkonqsidebarplugin -lDCOP
 
 globaladddir   = $(kde_datadir)/konqsidebartng/add
 globaladd_DATA = delicious_add.desktop
diff -Nurd kdeaddons-3.5.10/konq-plugins/sidebar/mediaplayer/Makefile.am kdeaddons-3.5.10-new/konq-plugins/sidebar/mediaplayer/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/sidebar/mediaplayer/Makefile.am	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/sidebar/mediaplayer/Makefile.am	2010-07-27 11:25:15.000000000 -0400
@@ -15,7 +15,7 @@
 # the Part's source, library search path, and link libraries
 konqsidebar_mediaplayer_la_SOURCES = mediawidget_skel.ui engine.cpp player.cpp mediawidget.cpp mediaplayer.cpp controls.cpp
 konqsidebar_mediaplayer_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-konqsidebar_mediaplayer_la_LIBADD  = $(LIB_KPARTS) $(LIB_KFILE) -lkonqsidebarplugin -lqtmcop -lkmedia2_idl -lsoundserver_idl -lartskde 
+konqsidebar_mediaplayer_la_LIBADD  = $(LIB_KPARTS) $(LIB_KFILE) -lkonqsidebarplugin -lqtmcop -lkmedia2_idl -lsoundserver_idl -lartskde -lmcop
 
 globaladddir   = $(kde_datadir)/konqsidebartng/add
 globaladd_DATA = mplayer_add.desktop
diff -Nurd kdeaddons-3.5.10/konq-plugins/sidebar/metabar/src/Makefile.am kdeaddons-3.5.10-new/konq-plugins/sidebar/metabar/src/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/sidebar/metabar/src/Makefile.am	2006-01-19 11:19:17.000000000 -0500
+++ kdeaddons-3.5.10-new/konq-plugins/sidebar/metabar/src/Makefile.am	2010-07-27 11:28:28.000000000 -0400
@@ -9,7 +9,7 @@
 		serviceloader.cpp defaultplugin.cpp protocolplugin.cpp settingsplugin.cpp \
 		remoteplugin.cpp httpplugin.cpp metabarfunctions.cpp
 konqsidebar_metabar_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries) -lkonqsidebarplugin
-konqsidebar_metabar_la_LIBADD = $(LIB_KIO) $(LIB_KHTML) $(LIB_KPARTS)
+konqsidebar_metabar_la_LIBADD = $(LIB_KIO) $(LIB_KHTML) $(LIB_KPARTS) -lDCOP $(LIB_KUTILS)
 
 metabar_entrydir = $(kde_datadir)/konqsidebartng/entries
 metabar_entry_DATA = metabar.desktop
diff -Nurd kdeaddons-3.5.10/konq-plugins/sidebar/newsticker/Makefile.am kdeaddons-3.5.10-new/konq-plugins/sidebar/newsticker/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/sidebar/newsticker/Makefile.am	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/sidebar/newsticker/Makefile.am	2010-07-27 11:25:44.000000000 -0400
@@ -17,7 +17,7 @@
                               sidebarsettings.kcfgc \
 			      configfeedsbase.ui configfeeds.cpp
 konq_sidebarnews_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
-konq_sidebarnews_la_LIBADD  = $(LIB_KPARTS) $(LIB_KFILE) -lkonqsidebarplugin
+konq_sidebarnews_la_LIBADD  = $(LIB_KPARTS) $(LIB_KFILE) -lkonqsidebarplugin -lDCOP
 
 
 globaladddir   = $(kde_datadir)/konqsidebartng/add
diff -Nurd kdeaddons-3.5.10/konq-plugins/uachanger/Makefile.am kdeaddons-3.5.10-new/konq-plugins/uachanger/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/uachanger/Makefile.am	2007-05-14 03:37:20.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/uachanger/Makefile.am	2010-07-27 11:09:18.000000000 -0400
@@ -4,7 +4,7 @@
 METASOURCES = AUTO
 
 libuachangerplugin_la_SOURCES = uachangerplugin.cpp
-libuachangerplugin_la_LIBADD = $(LIB_KPARTS) $(LIB_KHTML)
+libuachangerplugin_la_LIBADD = $(LIB_KPARTS) $(LIB_KHTML) $(LIB_KDEUI) $(LIB_KDECORE) -lDCOP $(LIB_KIO)
 libuachangerplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir = $(kde_datadir)/khtml/kpartplugins
diff -Nurd kdeaddons-3.5.10/konq-plugins/webarchiver/Makefile.am kdeaddons-3.5.10-new/konq-plugins/webarchiver/Makefile.am
--- kdeaddons-3.5.10/konq-plugins/webarchiver/Makefile.am	2007-05-14 03:37:20.000000000 -0400
+++ kdeaddons-3.5.10-new/konq-plugins/webarchiver/Makefile.am	2010-07-27 11:24:26.000000000 -0400
@@ -6,7 +6,7 @@
 kde_module_LTLIBRARIES = libwebarchiverplugin.la webarchivethumbnail.la
 
 libwebarchiverplugin_la_SOURCES = plugin_webarchiver.cpp archiveviewbase.ui archivedialog.cpp
-libwebarchiverplugin_la_LIBADD  = $(LIB_KPARTS) $(LIB_KHTML)
+libwebarchiverplugin_la_LIBADD  = $(LIB_KPARTS) $(LIB_KHTML) $(LIB_KIO)
 libwebarchiverplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
 
 pluginsdir = $(kde_datadir)/khtml/kpartplugins
diff -Nurd kdeaddons-3.5.10/ksig/Makefile.am kdeaddons-3.5.10-new/ksig/Makefile.am
--- kdeaddons-3.5.10/ksig/Makefile.am	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/ksig/Makefile.am	2010-07-27 10:22:01.000000000 -0400
@@ -1,6 +1,9 @@
-bin_PROGRAMS = ksig
 
-ksig_SOURCES = siggenerator.cpp siglistview.cpp siglistviewitem.cpp ksig.cpp \
+bin_PROGRAMS = 
+lib_LTLIBRARIES =
+kdeinit_LTLIBRARIES = ksig.la
+
+ksig_la_SOURCES = siggenerator.cpp siglistview.cpp siglistviewitem.cpp ksig.cpp \
 	standardtextbase.ui standardtext.cpp main.cpp 
 
 INCLUDES = $(all_includes)
@@ -8,8 +11,8 @@
 METASOURCES = AUTO
 KDE_ICON = AUTO
 
-ksig_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-ksig_LDADD   =  $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
+ksig_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
+ksig_la_LIBADD   =  $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 rcdir = $(kde_datadir)/ksig
 rc_DATA = ksigui.rc
diff -Nurd kdeaddons-3.5.10/ksig/main.cpp kdeaddons-3.5.10-new/ksig/main.cpp
--- kdeaddons-3.5.10/ksig/main.cpp	2005-09-10 04:14:16.000000000 -0400
+++ kdeaddons-3.5.10-new/ksig/main.cpp	2010-07-27 10:22:01.000000000 -0400
@@ -33,7 +33,7 @@
     KCmdLineLastOption
 };
 
-int main(int argc, char *argv[])
+extern "C" KDE_EXPORT int kdemain(int argc, char *argv[])
 {
 
     KAboutData aboutData("ksig", I18N_NOOP("KSig"),