diff -Nurd kdepim-4.4.1/blogilo/src/CMakeLists.txt kdepim-4.4.1-new/blogilo/src/CMakeLists.txt
--- kdepim-4.4.1/blogilo/src/CMakeLists.txt	2009-10-26 05:15:20.000000000 -0400
+++ kdepim-4.4.1-new/blogilo/src/CMakeLists.txt	2010-03-07 12:24:10.000000000 -0500
@@ -68,6 +68,15 @@
 )
 endif(WIN32)
 
+if(APPLE)
+set(blogilo_SRCS ${blogilo_SRCS}
+ htmlconvertors/bilbocssparser.cpp
+ htmlconvertors/bilbohtmlparser.cpp
+ htmlconvertors/bilbotexthtmlimporter.cpp
+ htmlconvertors/htmlexporter.cpp
+)
+endif(APPLE)
+
 kde4_add_ui_files(
    blogilo_SRCS
   toolboxbase.ui
@@ -93,7 +102,11 @@
 IF(WIN32)
 target_link_libraries( blogilo ${KDE4_KDEUI_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KTEXTEDITOR_LIBS} ${QT_QTWEBKIT_LIBRARY} ${KDE4_KBLOG_LIBRARY} htmlconvertors )
 ELSE(WIN32)
+IF(APPLE)
+target_link_libraries( blogilo ${KDE4_KDEUI_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KHTML_LIBS} ${KDEPIMLIBS_KBLOG_LIBS} )
+ELSE(APPLE)
 target_link_libraries( blogilo ${KDE4_KDEUI_LIBS} ${QT_QTSQL_LIBRARY} ${KDE4_KTEXTEDITOR_LIBS} ${KDE4_KHTML_LIBS} ${KDEPIMLIBS_KBLOG_LIBS} htmlconvertors )
+ENDIF(APPLE)
 ENDIF(WIN32)
 
 
diff -Nurd kdepim-4.4.1/kleopatra/crypto/gui/newresultpage.cpp kdepim-4.4.1-new/kleopatra/crypto/gui/newresultpage.cpp
--- kdepim-4.4.1/kleopatra/crypto/gui/newresultpage.cpp	2009-07-17 17:45:43.000000000 -0400
+++ kdepim-4.4.1-new/kleopatra/crypto/gui/newresultpage.cpp	2012-04-23 14:17:36.000000000 -0400
@@ -51,6 +51,7 @@
 #include <QProgressBar>
 #include <QVBoxLayout>
 #include <QTimer>
+#include <boost/mem_fn.hpp>
 
 #include <cassert>
 
diff -Nurd kdepim-4.4.1/kleopatra/kwatchgnupg/CMakeLists.txt kdepim-4.4.1-new/kleopatra/kwatchgnupg/CMakeLists.txt
--- kdepim-4.4.1/kleopatra/kwatchgnupg/CMakeLists.txt	2009-05-14 13:27:05.000000000 -0400
+++ kdepim-4.4.1-new/kleopatra/kwatchgnupg/CMakeLists.txt	2010-03-07 12:24:07.000000000 -0500
@@ -23,10 +23,10 @@
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=5153 )
 
 if ( NOT KDE4_KCMUTILS_LIBS )
-   set ( KDE4_KCMUTILS_LIBS ${KDE4_KUTILS_LIBS} )
+   set ( KDE4_KCMUTILS_LIBS ${KDE4_KUTILS_LIBS} ${QGPGME_LIBRARIES} )
 endif ( NOT KDE4_KCMUTILS_LIBS )
 
-target_link_libraries(kwatchgnupg ${KDE4_KDEUI_LIBS} kleo ${KDEPIMLIBS_GPGMEPP_LIBS})
+target_link_libraries(kwatchgnupg ${KDE4_KDEUI_LIBS} kleo ${QGPGME_LIBRARIES})
 
 install(TARGETS kwatchgnupg ${INSTALL_TARGETS_DEFAULT_ARGS})
 
diff -Nurd kdepim-4.4.1/kontact/plugins/akregator/CMakeLists.txt kdepim-4.4.1-new/kontact/plugins/akregator/CMakeLists.txt
--- kdepim-4.4.1/kontact/plugins/akregator/CMakeLists.txt	2012-04-24 10:43:44.000000000 -0400
+++ kdepim-4.4.1-new/kontact/plugins/akregator/CMakeLists.txt	2012-04-24 10:43:51.000000000 -0400
@@ -1,6 +1,6 @@
 
 include_directories(${CMAKE_SOURCE_DIR}/akregator/src)
-include_directories( ${Boost_INCLUDE_DIRS} )
+include_directories( ${Boost_INCLUDE_DIR} )
 
 ########### next target ###############
 
diff -Nurd kdepim-4.4.1/kontact/plugins/planner/CMakeLists.txt kdepim-4.4.1-new/kontact/plugins/planner/CMakeLists.txt
--- kdepim-4.4.1/kontact/plugins/planner/CMakeLists.txt	2009-12-10 18:14:29.000000000 -0500
+++ kdepim-4.4.1-new/kontact/plugins/planner/CMakeLists.txt	2012-04-24 10:21:44.000000000 -0400
@@ -1,6 +1,6 @@
 add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)
 
-include_directories(${CMAKE_SOURCE_DIR}/korganizer ${CMAKE_SOURCE_DIR}/korganizer/interfaces ${Boost_INCLUDE_DIRS})
+include_directories(${CMAKE_SOURCE_DIR}/korganizer ${CMAKE_SOURCE_DIR}/korganizer/interfaces ${Boost_INCLUDE_DIR})
 
 ########### next target ###############
 
diff -Nurd kdepim-4.4.1/kontact/plugins/specialdates/CMakeLists.txt kdepim-4.4.1-new/kontact/plugins/specialdates/CMakeLists.txt
--- kdepim-4.4.1/kontact/plugins/specialdates/CMakeLists.txt	2009-12-10 18:14:29.000000000 -0500
+++ kdepim-4.4.1-new/kontact/plugins/specialdates/CMakeLists.txt	2012-04-23 21:34:35.000000000 -0400
@@ -4,6 +4,7 @@
 ########### next target ###############
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
+include_directories(${Boost_INCLUDE_DIR})
 
 set(kontact_specialdatesplugin_PART_SRCS specialdates_plugin.cpp sdsummarywidget.cpp)
 
diff -Nurd kdepim-4.4.1/korganizer/CMakeLists.txt kdepim-4.4.1-new/korganizer/CMakeLists.txt
--- kdepim-4.4.1/korganizer/CMakeLists.txt	2009-11-21 04:45:06.000000000 -0500
+++ kdepim-4.4.1-new/korganizer/CMakeLists.txt	2012-04-24 12:07:40.000000000 -0400
@@ -51,7 +51,7 @@
                       ${CMAKE_SOURCE_DIR}/kdgantt1
                       ${CMAKE_BINARY_DIR}/libkdepim
                       ${QT_INCLUDES} ${ZLIB_INCLUDE_DIR}
-                      ${Boost_INCLUDE_DIRS} )
+                      ${Boost_INCLUDE_DIR} )
 
   add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)
 
diff -Nurd kdepim-4.4.1/ksendemail/CMakeLists.txt kdepim-4.4.1-new/ksendemail/CMakeLists.txt
--- kdepim-4.4.1/ksendemail/CMakeLists.txt	2009-10-26 05:15:23.000000000 -0400
+++ kdepim-4.4.1-new/ksendemail/CMakeLists.txt	2010-03-07 12:24:07.000000000 -0500
@@ -9,7 +9,7 @@
 
   qt4_add_dbus_interfaces( ksendemail_SRCS  ${CMAKE_BINARY_DIR}/kmail/org.kde.kmail.kmail.xml )
 
-  kde4_add_executable( ksendemail ${ksendemail_SRCS})
+  kde4_add_executable( ksendemail NOGUI ${ksendemail_SRCS})
   add_dependencies( ksendemail kmail_xml )
   target_link_libraries( ksendemail ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} )
 
diff -Nurd kdepim-4.4.1/messagelist/CMakeLists.txt kdepim-4.4.1-new/messagelist/CMakeLists.txt
--- kdepim-4.4.1/messagelist/CMakeLists.txt	2009-12-03 16:04:03.000000000 -0500
+++ kdepim-4.4.1-new/messagelist/CMakeLists.txt	2012-04-24 11:03:43.000000000 -0400
@@ -3,7 +3,7 @@
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
 
 include_directories(
-    ${Boost_INCLUDE_DIRS}
+    ${Boost_INCLUDE_DIR}
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
diff -Nurd kdepim-4.4.1/nepomuk_email_feeder/CMakeLists.txt kdepim-4.4.1-new/nepomuk_email_feeder/CMakeLists.txt
--- kdepim-4.4.1/nepomuk_email_feeder/CMakeLists.txt	2009-12-31 08:28:57.000000000 -0500
+++ kdepim-4.4.1-new/nepomuk_email_feeder/CMakeLists.txt	2010-03-07 12:24:07.000000000 -0500
@@ -4,6 +4,7 @@
   ${Boost_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/shared
   ${SOPRANO_INCLUDE_DIR}
+  ${STRIGI_INCLUDE_DIR}
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
diff -Nurd kdepim-4.4.1/nepomuk_email_feeder/messageanalyzer.cpp kdepim-4.4.1-new/nepomuk_email_feeder/messageanalyzer.cpp
--- kdepim-4.4.1/nepomuk_email_feeder/messageanalyzer.cpp	2009-11-13 05:58:34.000000000 -0500
+++ kdepim-4.4.1-new/nepomuk_email_feeder/messageanalyzer.cpp	2010-12-12 12:34:01.000000000 -0500
@@ -222,8 +222,7 @@
   status.setStatusFromFlags( flags );
 
   // the \Seen flag is in MailboxDataObject instead of Email...
-  NepomukFast::MailboxDataObject mdb( m_item.url(), graphUri() );
-  mdb.setIsReads( QList<bool>() << status.isRead() );
+  m_email.setIsReads( QList<bool>() << status.isRead() );
 
   if ( status.isImportant() )
     addTranslatedTag( "important", i18n("Important"), "mail-mark-important" );